Skip to content
Permalink
Browse files

Merged from MOODLE_15_STABLE.

  • Loading branch information
ethem
ethem committed Mar 27, 2006
1 parent 7104d80 commit f0e2d8b3d405f2bc980a0a957e713104ca12a290
Showing with 15 additions and 1 deletion.
  1. +10 −1 enrol/authorize/db/mysql.php
  2. +5 −0 enrol/authorize/db/postgres7.php
@@ -8,7 +8,11 @@ function enrol_authorize_upgrade($oldversion=0) {
$result = true;
if ($oldversion == 0) { // First time install
if (!$tables = $db->MetaColumns($CFG->prefix . 'enrol_authorize')) {
$installfirst = true;
}
if ($oldversion == 0 || !empty($installfirst)) { // First time install
$result = modify_database("$CFG->dirroot/enrol/authorize/db/mysql.sql");
return $result; // RETURN, sql file contains last upgrades.
}
@@ -25,6 +29,11 @@ function enrol_authorize_upgrade($oldversion=0) {
execute_sql(" ALTER TABLE `{$CFG->prefix}enrol_authorize` ADD INDEX userid(userid) ");
}
if ($oldversion < 2005071602) {
notify("If you are using the authorize.net enrolment plugin for credit card
handling, please ensure that you have turned loginhttps ON in Admin >> Variables >> Security.");
}
if ($oldversion < 2005112100) {
table_column('enrol_authorize', '', 'authcode', 'varchar', '6', '', '', '', 'avscode'); // CAPTURE_ONLY
table_column('enrol_authorize', '', 'status', 'integer', '10', 'unsigned', '0', 'not null', 'transid');
@@ -19,6 +19,11 @@ function enrol_authorize_upgrade($oldversion=0) {
// Authorize module was installed before. Upgrades must be applied to SQL file.
if ($oldversion < 2005071602) {
notify("If you are using the authorize.net enrolment plugin for credit card
handling, please ensure that you have turned loginhttps ON in Admin >> Variables >> Security.");
}
if ($oldversion < 2005080200) {
// Be sure, only last 4 digit is inserted.
table_column('enrol_authorize', 'cclastfour', 'cclastfour', 'integer', '4', 'unsigned', '0', 'not null');

0 comments on commit f0e2d8b

Please sign in to comment.
You can’t perform that action at this time.